/*****************************************************************************
 Cluster tiles described by textures

 IMPLEMENTATION

 Author: Dima V. Fedorov <mailto:dima@dimin.net> <http://www.dimin.net/>
 Copyright (c) 2006 Vision Research Lab, UCSB <http://vision.ece.ucsb.edu>

 History:
   04/19/2006 16:20 - First creation

 Ver : 1
*****************************************************************************/

#include <iostream>
#include <fstream>
#include <iostream>
#include <ostream>

#include <xvectors.h>
#include "../textureDescriptors.h"

#include "../kmeans.h"
#include "../featureVectors.h"

int main(int argc, char argv[])
{
  unsigned int ndims = 3;
  unsigned int k = 10;
  unsigned int nthreads = 1; // run as 2 threads is the best for PentiumD

  // first test the 2D case
  CDimVectorOfFeatures<float> vf(ndims);

  unsigned int num_els = k*1000;
  std::cout << "Loading data\n";
  vf.reserve(num_els);
  vf.fromFile("matlab\\data1.dat");

  CDimThreadedKMeansBase<float> kmb( nthreads, k, ndims );
  kmb.setStdOutProgress();
  kmb.setMaxIterations(200);
  kmb.run( &vf );
  kmb.vec_centroids()->toFile("matlab\\centroids_final.dat");
  kmb.vec_labels()->toFile("matlab\\labels_final.dat");

  return 0;
}

