% Program for generating two-dimensional clusters

K = 16;     % number of clusters
M = 800;    % number of points per cluster

sigmax = [1 0; 0 1];    % Covariance of each cluster

X = [];
C = [];
%figure; hold on
for k=1:K    
    mu = 50*rand(2,1);          % randomly generate cluster centres
    x = mgd(M,2,mu,sigmax);     % generate the points
    %plot(x(:,1),x(:,2),'.');    
    %X = [X; [x k*ones(M,1)]];
    X = [X; x];    
end

rind = randperm(M*K);
X = X(rind,:);      % Permute points in random order

plot(X(:,1),X(:,2),'.');

% Write the points as (float,float) for (x-coordinate,y-coordinate)
fout = fopen('data1.dat','w');
fwrite(fout, X', 'float');
fclose(fout);
