% Program for generating two-dimensional clusters

k = 10;     % number of clusters
M = 1000;    % number of points per cluster
dim = 3;    % number of dimensions
K = k;
sigmax = eye(dim);    % Covariance of each cluster

X = [];
C = [];
for k=1:K    
    mu = 50*rand(dim,1);          % randomly generate cluster centres
    x = mgd(M,dim,mu,sigmax);     % generate the points
    %X = [X; [x k*ones(M,1)]];
    X = [X; x];     
end

figure;
plot3(X(:,1),X(:,2),X(:,3),'.');    

rind = randperm(M*K);
X = X(rind,:);      % Permute points in random order

% Write the points as (float,float,float) for (x-coordinate,y-coordinate,z-coordinate)
fout = fopen('data1.dat','w');
fwrite(fout, X', 'float');
fclose(fout);
