colors = cell(10);
colors = {'b.', 'y.', 'c.', 'm.', 'k.'};
cmap = colormap('prism'); % lines prism

dims = 2;
K = 16;     % number of clusters
M = 800;    % number of points per cluster
ndata = K*M;

% Load the cluster points and display them
fin = fopen('data1.dat','r');
Y = fread(fin, [dims ndata], 'float')';
fclose(fin);
%figure; 
plot(Y(:,1),Y(:,2),'k.'); hold on

fin = fopen('labels_final.dat','r');
L = fread(fin, [ndata 1], 'int')';
fclose(fin);
%figure; plot(Y(:,1),Y(:,2),'k.'); hold on

for i=0:k-1,
  yk = Y( L==i, : );
  %plot(yk(:,1),yk(:,2),colors{i+1});
  plot(yk(:,1),yk(:,2),'.','Color', cmap(i+1,:) );
end  

%K = length(unique(Y(:,3))); % Number of clusters

% Load the initial centroids and plot them in red
fin = fopen('centroids_initial.dat','r');
CI = fread(fin, [dims k], 'float')';
fclose(fin);
for i=1:k
    cen = CI(i,:);
    plot(cen(1),cen(2),'.','Color',[0.5,0.5,0.5]);
end

% Load the final centroids and plot them
fin = fopen('centroids_final.dat','r');
CF = fread(fin, [dims k], 'float')';
fclose(fin);
for i=1:k
    cen = CF(i,:);
    plot(cen(1),cen(2),'k.');
end