colors = cell(10);
colors = {'b.', 'y.', 'c.', 'm.', 'k.'};
%cmap = colormap('prism');
%cmap = colormap('lines');
cmap = colormap('colorcube');

k = 10;     % number of clusters
M = 1000;    % number of points per cluster
dims = 3;    % number of dimensions
ndata = k*M;

% Load the cluster points and display them
fin = fopen('data1.dat','r');
Y = fread(fin, [dims ndata], 'float')';
fclose(fin);
%figure; 
%plot3(Y(:,1),Y(:,2),Y(:,3),'k.'); 
hold on

fin = fopen('labels_final.dat','r');
L = fread(fin, [ndata 1], 'int')';
fclose(fin);

for i=0:k-1,
  yk = Y( L==i, : );
  %plot(yk(:,1),yk(:,2),colors{i+1});
  plot3(yk(:,1),yk(:,2),yk(:,3),'.','Color', cmap(i+1,:) );
end  

% Load the initial centroids and plot them in red
fin = fopen('centroids_initial.dat','r');
CI = fread(fin, [dims k], 'float')';
fclose(fin);
for i=1:k
    cen = CI(i,:);
    plot3(cen(1),cen(2),cen(3),'.','Color',[0.5,0.5,0.5],'Marker','.','MarkerSize',20);
end

% Load the final centroids and plot them
fin = fopen('centroids_final.dat','r');
CF = fread(fin, [dims k], 'float')';
fclose(fin);
for i=1:k
    cen = CF(i,:);
    plot3(cen(1),cen(2),cen(3),'k.','Marker','.','MarkerSize',20);
end